This is a Laravel 5 package that provides hacking management facility for lavalite framework.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `recovery/hacking`.

    "recovery/hacking": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

```php
Recovery\Hacking\Providers\HackingServiceProvider::class,

```

And also add it to alias

```php
'Hacking'  => Recovery\Hacking\Facades\Hacking::class,
```

Use the below commands for publishing

Migration and seeds

    php artisan vendor:publish --provider="Recovery\Hacking\Providers\HackingServiceProvider" --tag="migrations"
    php artisan vendor:publish --provider="Recovery\Hacking\Providers\HackingServiceProvider" --tag="seeds"

Configuration

    php artisan vendor:publish --provider="Recovery\Hacking\Providers\HackingServiceProvider" --tag="config"

Language

    php artisan vendor:publish --provider="Recovery\Hacking\Providers\HackingServiceProvider" --tag="lang"

Views public and admin

    php artisan vendor:publish --provider="Recovery\Hacking\Providers\HackingServiceProvider" --tag="view-public"
    php artisan vendor:publish --provider="Recovery\Hacking\Providers\HackingServiceProvider" --tag="view-admin"

Publish admin views only if it is necessary.

## Usage


